function makeGraphs0518d()

savePrefix = 'fault-coverage';
figwidth   = 0.8;
label_x    = 'ISCAS circuit';
label_y    = 'Fault coverage C_F [%]';
figTitle   = 'Fault coverage of CA''s evolved by PSG';

cf = [
100.000000
99.2366412
100.000000
99.5210218
93.9206407
96.0035006
98.8971963
99.3543388
97.1655629
];

circuits = { 'c17', 'c432', 'c880', 'c1908', 'c2670', 'c3540', 'c5315', 'c6288', 'c7552' };

%%% Plot graph
colormap mycolormap0517;
bar( cf );

xlabel(label_x);
ylabel(label_y);
set(gca,'XTickLabel',circuits);
title(figTitle);
ylim([0 108]);
% xlim([0 105])
grid on;

my_units = get(gcf,'PaperPosition');
my_units(4) = my_units(4) * (2/3);
set(gcf, 'PaperPosition', my_units);

saveas(gcf, [savePrefix '.eps'], 'psc2' );
saveas(gcf, [savePrefix '.fig'] );
saveas(gcf, [savePrefix '.png'] );

set(gcf,'PaperUnits','normalized');
set(gcf,'PaperType','A4');
set(gcf,'PaperOrientation','Landscape');
set(gcf,'PaperPosition',[.1 .1 .8 .8]);
saveas(gcf, [savePrefix '.pdf'] );


%%% Write out stuff to paste into thesis.
width = num2str(figwidth);
fid = fopen('faultcoverage.figures.txt','wt');

fprintf(fid, '\n\n%%%%%% Figure showing fault coverage\n');
  filename = sprintf('rfc/%s', savePrefix);
  label    = 'fig:RfcFaultCoverage';
  capShort = 'Real fault coverage of the cellular automata evolved by PSG.';
  capLong  = 'Real fault coverage obtained by fault-simulating the ISCAS benchmark circuits, using cellular automata evolved by PSG as the TPG.';
  
  fprintf(fid, '\\begin{figure}[htbp]\n');
  fprintf(fid, '  \\sffamily\n');
  fprintf(fid, '  \\begin{center}\n');
  fprintf(fid, '    \\includegraphics[width=%s\\textwidth]{%s}\n', width, filename);
  fprintf(fid, '    \\caption[%s]\n', capShort);
  fprintf(fid, '            {%s}\n', capLong);
  fprintf(fid, '    \\label{%s}\n', label);
  fprintf(fid, '  \\end{center}\n');
  fprintf(fid, '\\end{figure}\n\n');


fprintf(fid, '\n\n%%%%%% References to graph\n');
  fprintf(fid, '\\autoref{%s}\n', label);
  fprintf(fid, '\\ref{%s}\n\n', label);

fclose(fid);

end
